#
# spec file for package DeaDBeeF-MPRIS-plugin
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           deadbeef-MPRIS-plugin
Version:        2.1
Release:        2.3
Summary:        The MPRIS plugin of DeaDBeeF music player
Group:          Productivity/Multimedia/Sound/Players
License:        GPL-3.0
Url:            https://github.com/kernelhcy/DeaDBeeF-MPRIS-plugin
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        DeaDBeeF-MPRIS-plugin-%version.tar.gz
%if 0%{?suse_version} > 1210
Patch1:         gthread_deprecated.patch
BuildRequires:  autoconf automake libtool
%endif
%if 0%{?suse_version} > 1230
Patch2:         fix-build-glib36.patch
%endif
BuildRequires:  glib2-devel dbus-1-glib-devel
BuildRequires:  deadbeef-devel
Requires:       deadbeef >= 0.5.1

%description
DeaDBeeF is an audio player for GNU/Linux and other UNIX-like systems.
It is written in C with some plugins in C++. It has minimal dependencies,
a native GTK2 GUI, cuesheet support, support for MP3, Ogg, FLAC, and APE,
chiptune formats with subtunes, song-length databases, and more.
It is very fast and lightweight, and extensible using plugins
(DSP, GUI, output, input, etc.). The GUI looks similar to Foobar2000.

%prep
%setup -q -n DeaDBeeF-MPRIS-plugin-%version
%if 0%{?suse_version} > 1210
%patch1 -p1
%endif
%if 0%{?suse_version} > 1230
%patch2 -p1
%endif

%build
./autogen.sh
%configure --enable-static=no
%__make %{?jobs:-j%{jobs}}

%install
install -d %buildroot/%_libdir/deadbeef
install -m 644 .libs/mpris.so.0.0.0 %buildroot/%_libdir/deadbeef/mpris.so

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/deadbeef/mpris.so

%changelog
* Mon Nov  4 2013 hillwood@linuxfans.org
- fix build under glib2.36
* Sat Feb 25 2012 hillwood@linuxfans.org
- rename package
* Mon Jan 30 2012 jzheng@suse.com
- add gthread_deprecated.patch to fix openSUSE factory build issue
* Sun Jan 29 2012 jzheng@suse.com
- v2.1 - initial from upstream
